Subject: Re: Using netconsole for debugging suspend/resume

From: Andi Kleen <[email-masked]>
Date: Mon, 12 Jun 2006 17:46:34 +0200

On Monday 12 June 2006 17:38, Mark Lord wrote:
> Andi Kleen wrote:
> > On Friday 09 June 2006 17:24, Mark Lord wrote:
> >> Andi Kleen wrote:
> >>> If your laptop has firewire you can also use firescope.
> >>> (ftp://ftp.suse.com/pub/people/ak/firescope/) 
> >> ..
> >>> FW keeps running as long as nobody resets the ieee1394 chip.
> >> This looks interesting.  But how does one set it up for use
> >> on the *other* end of that firewire cable?  The Quickstart and
> >> manpage don't seem to describe this fully.
> > 
> > It's in the manpage:
> > 
> >> .SH NOTES
> >> The target must have the ohci1394 driver loaded. This implies
> >> that firescope cannot be used in early boot.
> > 
> > That's it.
> 
> Okay, so I'm daft.  But.. *what* is "it" ??
> 
> We have two machines:  target (being debugged), and host (anything).
> Sure, the target has to have ohci1394 loaded, and firescope running.
> But what about the *other* end of the connection?  What commands?

>>From the same manpage:
"The raw1394 module must be loaded and its device node
 be writable (this normally requires root)" 

Ok it doesn't say you need ohci1394 too and doesn't say that's the target.
If I do a new revision I'll perhaps expand the docs a bit.

So load ohci1394/raw1394 and run firescope as root. Your distribution
will hopefully take care of the device nodes. Usually you want 
something like firescope -Au System.map  

-Andi